For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Requirement
      • GETGet Additional Requirements
      • GETGet KYC - IdProof Status
      • PATCHPatch User Details
      • POSTUpdate Purpose Of Usage
      • POSTSubmit SSN
      • POSTSubmit Source of Income
      • POSTUpload Proof Document
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC

Get Additional Requirements

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/kyc/additional-requirements
GET
/api/v2/kyc/additional-requirements
$curl -G https://api-gateway-stg.transak.com/api/v2/kyc/additional-requirements \
> -d "metadata[quoteId]=" \
> -d apiKey=
1{
2 "data": {
3 "formsRequired": [
4 {
5 "type": "DOCUMENT_PROOF",
6 "metadata": {
7 "options": [],
8 "documentProofOptions": [
9 {
10 "name": "Payslip",
11 "value": "PAYSLIP"
12 },
13 {
14 "name": "Bank Statement",
15 "value": "BANK_STATEMENT_RECENT"
16 },
17 {
18 "name": "Residential Address",
19 "value": "RESIDENTIAL_ADDRESS"
20 }
21 ]
22 }
23 }
24 ]
25 }
26}
**Get Additional Requirements** is an **authenticated API call** that dynamically returns the **KYC forms a user needs to complete** based on the **quote ID**. Since Transak supports **multi-level KYC** across different countries, this API helps determine the additional KYC requirements for a user before proceeding with transactions. The **quote ID** must be passed when calling this API, as it determines the required **KYC level (Simple KYC, Standard KYC, etc.)**. The response includes a list of **required KYC forms**, such as: - **Purpose of Usage** → Required for compliance with Transak’s regulations. - **ID Proof** → Only required for **Standard KYC**. If the user is under **Simple KYC**, ID proof is not required. - **SSN** -> Only required for US users As per the **quote ID**, the system dynamically returns the appropriate KYC forms for the user to complete. **Example Usage**
Was this page helpful?
Previous

Get KYC Requirement

Next

Get KYC - IdProof Status

Built with

Get Additional Requirements is an authenticated API call that dynamically returns the KYC forms a user needs to complete based on the quote ID. Since Transak supports multi-level KYC across different countries, this API helps determine the additional KYC requirements for a user before proceeding with transactions.
The quote ID must be passed when calling this API, as it determines the required KYC level (Simple KYC, Standard KYC, etc.). The response includes a list of required KYC forms, such as:

  • Purpose of Usage → Required for compliance with Transak’s regulations.

  • ID Proof → Only required for Standard KYC. If the user is under Simple KYC, ID proof is not required.

  • SSN -> Only required for US users

As per the quote ID, the system dynamically returns the appropriate KYC forms for the user to complete.
Example Usage

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

metadata[quoteId]stringRequired

Quote Id generated from api/v2/lookup/quotes

apiKeystringRequired
Your API key from the Transak Dashboard.

Response

200 - With Documents Proof

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error